%define modname medusa
Name:           python-%{modname}
Summary:        A Framework for Implementing Asynchronous Servers
Version:        0.5.4
Release:        4.3
Source:         %{modname}-%{version}.tar.bz2
Patch:          medusa-interpreter.patch
License:        Python License
Group:          Development/Libraries/Python
URL:            http://oedipus.sourceforge.net/medusa/
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
%{py_requires}
BuildRequires:  python-devel

%description
Medusa is a 'server platform' -- it provides a framework for
implementing asynchronous socket-based servers (TCP/IP and on Unix,
Unix domain, sockets).

An asynchronous socket server is a server that can communicate with many
other clients simultaneously by multiplexing I/O within a single
process/thread.  In the context of an HTTP server, this means a single
process can serve hundreds or even thousands of clients, depending only on
the operating system's configuration and limitations.

Authors:
--------
    Sam Rushing <rushing@nightmare.com>
    A.M. Kuchling <akuchlin@mems-exchange.org>

%prep
%setup -q -n %{modname}-%{version}
%patch

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record-rpm=INSTALLED_FILES

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(0644,root,root,0755)
%doc demo docs test thread CHANGES.txt INSTALL.txt LICENSE.txt README.txt
%doc TODO.txt

%changelog

* Mon Aug 11 2008 - James Oakley <jfunk@funktronics.ca> - 0.5.4-4
- Fix rpmlint errors

* Thu Jun 22 2006 - James Oakley <jfunk@funktronics.ca> - 0.5.4-3
- Build under buildservice

* Tue Oct 25 2005 - James Oakley <jfunk@funktronics.ca> - 0.5.4-ft.2
- Build for SL10

* Fri Dec 31 2004 - James Oakley <jfunk@funktronics.ca> - 0.5.4-ft.1
- Build for SL92

* Tue Nov 04 2003 - James Oakley <jfunk@funktronics.ca> - 0.5.4-1
- Update
- Build for SUSE 9.0

* Fri May 30 2003 - James Oakley <jfunk@funktronics.ca> - 0.5.3-2
- Build for SuSE 8.2

* Wed Mar 12 2003 - James Oakley <joakley@solutioninc.com> - 0.5.3-1
- Initial package
